/*! \file sketch.cpp
    \brief Emulation sketch Arduino pour le CESI.
    \author Bertrand Vandeportaele IUT GEII
    \date  14/02/2022
*/
#include "sketch.h"


#include "lib_io_tp.h"
 

//////////////////////////////////////////////////////
void setup(){
    init_millis();
    //boucle locale pour simu
    int r=setupES("127.0.0.1","4242");
    //arduino iut gomette bleue
    //int r=setupES("172.16.6.60","4242");
    setName("Bertrand Vandeportaele");
    if (r!=0)
        printf("erreur ouverture socket\n");
    printf("Elapsed time: %ld milliseconds\n", millis());
}
//////////////////////////////////////////////////////
void loop(){
    unsigned int periodiciteTache1=10;
    static unsigned long timerTache1 = millis();
    if (millis() - timerTache1 >= periodiciteTache1) {
        timerTache1 += periodiciteTache1;
        writePort(readPort());
    }
    unsigned int periodiciteTache2=1000;
    static unsigned long timerTache2 = millis();
    if (millis() - timerTache2 >= periodiciteTache2) {
        timerTache2 += periodiciteTache2;
        static unsigned int cpt=0;
        cpt++;
        char chaine[100];
        sprintf(chaine,"cpt=%d",cpt);
        printf(chaine);
        setMsg(chaine);
    }
}
